/*Elkulator v0.7 by Tom Walker
  Main header*/
#define printf rpclog

extern int nmi,irq;
extern int rombank,intrombank;
extern int cycles,ulacycles;
extern int extrom;
extern unsigned char ram[32768];
extern unsigned short pc;

unsigned char readmem(unsigned short addr);
void writemem(unsigned short addr, unsigned char val);

extern int cswena;
extern int tapelcount,tapellatch;
extern int tapeon;
void polltape();
void polluef();
void pollcsw();

extern int resetit;

extern char tapename[512];

extern int infocus;

void resetsound();

extern int plus3;

void dumpregs();

extern int turbo;
extern int mrb,mrbmode,mrbmapped;


void error(const char *format, ...);
void rpclog(const char *format, ...);

extern char discname[260];
extern char discname2[260];
extern int discchanged[2];

extern int tapewrite;

extern int dfsena,adfsena;

#define SCANLINES 0
#define LINEDBL   1
#define _2XSAI    2
#define SCALE2X   3
#define EAGLE     4
#define PAL       5
extern int drawmode;

#define HALFSIZE (drawmode==_2XSAI || drawmode==SCALE2X || drawmode==EAGLE)

#define TAPE_SLOW 0
#define TAPE_FAST 1
#define TAPE_REALLY 2
extern int tapespeed;
